Subject: Re: How is IPv6 dhcp supposed to work?

From: [email-masked] (Eric W. Biederman)
Date: Tue, 01 Jul 2014 14:22:04 -0700

Ben Greear <[email-masked]> writes:

> After more printk debugging, it seems it is failing to accept the RA due to
> ipv6_chk_addr failing in the ndisc_router_discovery method.
>
> This is probably because one interface on my system is running radvd
> (on one side of a veth pair), and the peer veth is supposed to be
> accepting the ra.
>
> The chk_addr is checking if the source addr for the RA is not found locally, as far
> as I can tell, but in my case, it is local, and it still should be accepted.
>
> My case is a bit special (I'm doing virtual network type things), but
> maybe there is a more useful reason to allow this restriction to be
> relaxed with yet another sysctl?

This is probably long solved by now, but network namespaces solve this
problem very simply.  What is local in one network namespace is not
considered local in another.

Eric